[arch-commits] CVS update of extra/editors/nedit (PKGBUILD)

Dale Blount dale at archlinux.org
Tue Dec 4 09:34:13 EST 2007


    Date: Tuesday, December 4, 2007 @ 09:34:13
  Author: dale
    Path: /home/cvs-extra/extra/editors/nedit

Modified: PKGBUILD (1.13 -> 1.14)

upgpkg: nedit 5.5-4
fixed composite-on-by-default problem with new xorg


----------+
 PKGBUILD |   16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)


Index: extra/editors/nedit/PKGBUILD
diff -u extra/editors/nedit/PKGBUILD:1.13 extra/editors/nedit/PKGBUILD:1.14
--- extra/editors/nedit/PKGBUILD:1.13	Thu Jan  4 12:03:02 2007
+++ extra/editors/nedit/PKGBUILD	Tue Dec  4 09:34:12 2007
@@ -1,18 +1,22 @@
-# $Id: PKGBUILD,v 1.13 2007/01/04 17:03:02 dale Exp $
-# Contributor: Tom Newsom <Jeepster at gmx.co.uk> and Dale Blount <archlinux at dale.us>
-# Maintainer: aurelien <aurelien at archlinux.org>
+# $Id: PKGBUILD,v 1.14 2007/12/04 14:34:12 dale Exp $
+# Contributor: Tom Newsom <Jeepster at gmx.co.uk> and Dale Blount <dale at archlinux.org>
+# Maintainer: Dale Blount <dale at archlinux.org>
 pkgname=nedit
 pkgver=5.5
-pkgrel=3
+pkgrel=4
 pkgdesc="A Unix text editor for programmers and general users"
 arch=(i686 x86_64)
+license=("GPL")
 url="http://www.nedit.org/"
 depends=(lesstif libxpm)
-source=(ftp://ftp.nedit.org/pub/NEdit/v5_5/$pkgname-$pkgver-src.tar.bz2)
-md5sums=('48cb3dce52d44988f3a4d7c6f47b6bbe')
+source=(ftp://ftp.nedit.org/pub/NEdit/v5_5/$pkgname-$pkgver-src.tar.bz2 nedit_xorg_composite_fix.patch)
+md5sums=('48cb3dce52d44988f3a4d7c6f47b6bbe'
+         'ae1f56ae9b23163882051720ac52412d')
+
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
+  patch --verbose -p1 < $startdir/src/nedit_xorg_composite_fix.patch || return 1
   sed -i -e 's/-Wl,-Bstatic//' makefiles/Makefile.linux
   sed -i -e 's/0.93.0/0.94.4/' util/check_lin_tif.c
   sed -i -e "s/CFLAGS=-O/CFLAGS=${CFLAGS} -DBUILD_UNTESTED_NEDIT/" makefiles/Makefile.linux




More information about the arch-commits mailing list